using CMSMicroservice.Domain.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
namespace CMSMicroservice.Infrastructure.Persistence.Configurations;
//تراکنش
public class TransactionConfiguration : IEntityTypeConfiguration<Transaction>
{
    public void Configure(EntityTypeBuilder<Transaction> builder)
    {
        builder.HasQueryFilter(p => !p.IsDeleted);
        builder.Ignore(entity => entity.DomainEvents);
        builder.HasKey(entity => entity.Id);
        builder.Property(entity => entity.Id).UseIdentityColumn();
        builder.Property(entity => entity.Amount).IsRequired(true);
        builder.Property(entity => entity.Description).IsRequired(true);
        builder.Property(entity => entity.PaymentStatus).IsRequired(true);
        builder.Property(entity => entity.PaymentDate).IsRequired(false);
        builder.Property(entity => entity.RefId).IsRequired(false);
        builder.Property(entity => entity.Type).IsRequired(true);

    }
}
